Subject: RE: SUAv8: DUPU

From: [email-masked]
Date: Tue, 16 Oct 2001 20:49:26 +0300

Hi Brian,

> DUPU and DRST have not been addressed in SUA v8 as agreed
> in Last Call:
> 
> Section 3.4.5 states:
> 
>    Note 1:    The destination address refers to the node that has 
>               become unavailable. The Destination Address parameters 
>               MUST include the Affected Point Code and MAY 
> include the 
>               SSN. When the SSN is included in the 
> Destination Address 
>               parameter, the DUPU message corresponds to the SCCP N-
>               STATE primitive. When SSN is not included in the 
>               Destination Address parameter, the DUPU message 
>               corresponds to the SCCP N-PCSTATE primitive. 
> 
> There is no N-STATE primitive that corresponds to DUPU.  There is
> only an N-PCSTATE primitive.    Therefore, this should be reworded as:
> 
>    Note 1:    The destination address refers to the node for which
>               the SCCP has become unavailable.  The 
> Destination Address
> 	      parameters MUST only include Affected Point Code and
> 	      MUST NOT include any other Destination Address sub-
> 	      parameters.  The DUPU corresponds to the SCCP N-PCSTATE
> 	      primitive.

OK.
 
> I still disagree with the use of Destination Address instead of an
> Affected Point Code parameter.

We'll take that one up in another thread. 

> Section 3.4.5 states (note that section numbering 3.4.5 is 
> duplicated):

Got it.

>    Note 1:    The destination address referes to the node to which
>               become restricted or which has requested coordinated
> 	      service outgage.  The Destination Address parameters
> 	      MUST include only the Affected Point Code and MAY also
> 	      include the SSN.  When SSN is included in the Destination
> 	      Address parameter, the DRST message corresponds to the
> 	      SCCP N-COORD primitive.  If the SMI parameter is also
> 	      included in the message, the DRST message corresponds to
> 	      the N-COORD Request and N-COORD Indication primitives,
> 	      otherwise, the DRST message corresponse to the N-COORD
> 	      Response and N-COORD Confirm primitives.

OK, changes made.

John

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]